
AdapterId 07D7Fh

AdapterName "ORCHID RAMQUEST EXTRA 16/32 V1.1"

NumBytes 4

FixedResources
       ; memory enable bit OFF before PROM inits board
       pos[2] = 0XXXXXXXb
       ; NMI bit
       pos[3] = 1XXXXXXXb


NamedItem
   Prompt "Serial and Parallel Ports"
      choice "SERIAL 1          "  pos[2]=XXXXX001b  io 03f8h-03ffh  int 4
      choice "SERIAL 2          "  pos[2]=XXXXX010b  io 02f8h-02ffh  int 3
      choice "SERIAL 3          "  pos[2]=XXXXX011b  io 3220h-3227h  int 3
      choice "SERIAL 4          "  pos[2]=XXXXX100b  io 3228h-322fh  int 3
      choice "SERIAL 5          "  pos[2]=XXXXX101b  io 4220h-4227h  int 3
      choice "SERIAL 6          "  pos[2]=XXXXX110b  io 4228h-422fh  int 3
      choice "SERIAL 7          "  pos[2]=XXXXX111b  io 5220h-5227h  int 3
      choice "DISABLE BOTH PORTS"  pos[2]=XXXXX000b

   Help
"This port can be assigned as Serial Port 1 through Serial
Port 8.  Use the F5=Previous and the F6=Next keys to change this
assignment in the 'Change configuration' window.  Conflicting
assignments are marked with an asterisk and must be changed to
use the adapter."


NamedItem
   Prompt "PARALLEL Port"
      choice "PARALLEL 2        "  pos[2]=X0XXXXXXb  io 0378h-037Bh  int 7
      choice "PARALLEL 3        "  pos[2]=X1XXXXXXb  io 0278h-027Bh  int 7
      choice "DISABLE BOTH PORTS"  pos[2]=XXXXX000b
   Help
"This port can be assigned as Parallel Port 2 or Parallel Port 3.
Use the F5=Previous and the F6=Next keys to change this
assignment in the 'Change configuration' window.  Conflicting
assignments are marked with an asterisk and must be changed to
use the adapter. Note that if this port must be disabled due to
a conflict, the Serial Port is also disabled."


NamedItem
       Prompt  "Adapter BIOS Location"
           Choice "Segment C000"
               pos[2]=XX001XXXb  mem 0c0000h-0c0fffh
           Choice "Segment C100"
               pos[2]=XX010XXXb  mem 0c1000h-0c1fffh
           Choice "Segment C200"
               pos[2]=XX011XXXb  mem 0c2000h-0c2fffh
           Choice "Segment C400"
               pos[2]=XX101XXXb  mem 0c4000h-0c4fffh
           Choice "Segment D800"
               pos[2]=XX110XXXb  mem 0d8000h-0d8fffh
           Choice "Segment DC00"
               pos[2]=XX111XXXb  mem 0dc000h-0dcfffh
           Choice "DISABLED"
               pos[2]=XXX00XXXb

   Help
"To configure this adapter you must choose the memory location the
 adapter will use for it BIOS ROM.  There are six memory locations
 that can be selected.  For computers with early revision ROM BIOS's
 you must select either C000, C100, C200, or C400."

NamedItem
       Prompt "Memory installed in Bank 0"
           choice " --                " pos[0]=XXXXXX1XB
                                        pos[3]=XXXXXX01B
           choice "512K,  ONE WAIT    " pos[0]=XXXXXX1XB
                                        pos[3]=XXXXXX10B
           choice "512K,  ZERO WAIT   " pos[0]=XXXXXX1XB
                                        pos[3]=XXXXXX00B
           choice "2048K, ONE WAIT    " pos[0]=XXXXXX0XB
                                        pos[3]=XXXXXX10B
           choice "2048K, ZERO WAIT   " pos[0]=XXXXXX0XB
                                        pos[3]=XXXXXX00B
   Help
   "This entry is set automatically by the Ramquest Extra BIOS
    code, depending on the type of memory installed. Banks with
    1 Mb panels default to ZERO Wait state, and banks with 256 Kb
    panels default to ONE Wait State. If you wish to change the
    wait state settings, use the F5/F6 keys."

NamedItem
       Prompt "Memory installed in Bank 1"
           choice " --                " pos[0]=XXXX11XXB
                                        pos[3]=XXXXX0XXB
           choice "512K,  ONE WAIT    " pos[0]=XXXX10XXB
                                        pos[3]=XXXXX1XXB
           choice "512K,  ZERO WAIT   " pos[0]=XXXX10XXB
                                        pos[3]=XXXXX0XXB
           choice "2048K, ONE WAIT    " pos[0]=XXXX00XXB
                                        pos[3]=XXXXX1XXB
           choice "2048K, ZERO WAIT   " pos[0]=XXXX00XXB
                                        pos[3]=XXXXX0XXB
   Help
   "This entry is set automatically by the Ramquest Extra BIOS
    code, depending on the type of memory installed. Banks with
    1 Mb panels default to ZERO Wait state, and banks with 256 Kb
    panels default to ONE Wait State. If you wish to change the
    wait state settings, use the F5/F6 keys."

NamedItem
       Prompt "Memory installed in Bank 2"
           choice " --                " pos[0]=XX11XXXXB
                                        pos[3]=XXXX0XXXB
           choice "512K,  ONE WAIT    " pos[0]=XX10XXXXB
                                        pos[3]=XXXX1XXXB
           choice "512K,  ZERO WAIT   " pos[0]=XX10XXXXB
                                        pos[3]=XXXX0XXXB
           choice "2048K, ONE WAIT    " pos[0]=XX00XXXXB
                                        pos[3]=XXXX1XXXB
           choice "2048K, ZERO WAIT   " pos[0]=XX00XXXXB
                                        pos[3]=XXXX0XXXB
   Help
   "This entry is set automatically by the Ramquest Extra BIOS
    code, depending on the type of memory installed. Banks with
    1 Mb panels default to ZERO Wait state, and banks with 256 Kb
    panels default to ONE Wait State. If you wish to change the
    wait state settings, use the F5/F6 keys."

NamedItem
       Prompt "Memory installed in Bank 3"
           choice " --                " pos[0]=11XXXXXXB
                                        pos[3]=XXX0XXXXB
           choice "512K,  ONE WAIT    " pos[0]=10XXXXXXB
                                        pos[3]=XXX1XXXXB
           choice "512K,  ZERO WAIT   " pos[0]=10XXXXXXB
                                        pos[3]=XXX0XXXXB
           choice "2048K, ONE WAIT    " pos[0]=00XXXXXXB
                                        pos[3]=XXX1XXXXB
           choice "2048K, ZERO WAIT   " pos[0]=00XXXXXXB
                                        pos[3]=XXX0XXXXB
   Help
   "This entry is set automatically by the Ramquest Extra BIOS
    code, depending on the type of memory installed. Banks with
    1 Mb panels default to ZERO Wait state, and banks with 256 Kb
    panels default to ONE Wait State. If you wish to change the
    wait state settings, use the F5/F6 keys."


NamedItem
       Prompt "Power-on Display Option"
           choice "TERSE" pos[3]=X0XXXXXXB
           choice "VERBOSE " pos[3]=X1XXXXXXB
   Help
   "If VERBOSE is selected, more technical detail is provided about
    the Ramquest memory location and speed when the computer system
    is cold booted."


NamedItem
       Prompt "Start Address (For Information Only)"
           choice " --  "        pos[1]=00000000b
           choice "1280K"        pos[1]=00010100b
           choice "1408K"        pos[1]=00010110b
           choice "1920K"        pos[1]=00011110b
           choice "2048K"        pos[1]=00100000b
           choice "2176K"        pos[1]=00100010b
           choice "2304K"        pos[1]=00100100b
           choice "2432K"        pos[1]=00100110b
           choice "2944K"        pos[1]=00101110b
           choice "3456K"        pos[1]=00110110b
           choice "3968K"        pos[1]=00111110b
           choice "4352K"        pos[1]=01000100b
           choice "4480K"        pos[1]=01000110b
           choice "4992K"        pos[1]=01001110b
           choice "5504K"        pos[1]=01010110b
           choice "6016K"        pos[1]=01011110b
           choice "6400K"        pos[1]=01100100b
           choice "6528K"        pos[1]=01100110b
           choice "7040K"        pos[1]=01101110b
           choice "7552K"        pos[1]=01110110b
           choice "8064K"        pos[1]=01111110b
           choice "8448K"        pos[1]=10000100b
           choice "8576K"        pos[1]=10000110b
           choice "9088K"        pos[1]=10001110b
           choice "9600K"        pos[1]=10010110b
           choice "10112K"       pos[1]=10011110b
           choice "10624K"       pos[1]=10100110b
           choice "11136K"       pos[1]=10101110b
           choice "11648K"       pos[1]=10110110b
           choice "12160K"       pos[1]=10111110b
           choice "12672K"       pos[1]=11000110b
           choice "13184K"       pos[1]=11001110b
           choice "13696K"       pos[1]=11010110b
           choice "14208K"       pos[1]=11011110b
           choice "14720K"       pos[1]=11100110b

   Help
       "The start address of the Ramquest Extra is computed and set by
       the Ramquest BIOS.  This choice will show as '(not set)' the
       first time the board is installed, and will show the assigned
       start address once the installation is completed."

